## python-ceilometermiddleware 3.0.0

=== debian/changelog ===
python-ceilometermiddleware (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 08:30:33 +0200

python-ceilometermiddleware (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:23:44 +0200

python-ceilometermiddleware (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:06:49 +0100

python-ceilometermiddleware (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased rabbit-over-ssl.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 16:50:34 +0100

python-ceilometermiddleware (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:07:10 +0200

python-ceilometermiddleware (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.

 -- papamica <mickael@papamica.com>  Mon, 23 Aug 2021 09:45:27 -0500

python-ceilometermiddleware (2.2.0-2) unstable; urgency=medium

  * Add rabbit-over-ssl.patch.
  * Add python3-swift as build-depends because of this patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:56:31 +0200

python-ceilometermiddleware (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 15:27:41 +0100

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-betamax,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config,
 python3-oslo.context (>= 0.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf,
 python3-six,
 python3-subunit,
 python3-swift,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware.git
Homepage: http://www.openstack.org/

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-oslo.config,
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr,
 python3-pycadf,
 python3-six,
 python3-swift,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

## python-ceilometermiddleware 3.1.0

=== debian/changelog ===
python-ceilometermiddleware (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:45:49 +0200

python-ceilometermiddleware (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:02:04 +0100

## python-ceilometermiddleware 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.config>=3.9.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
six>=1.9.0 # MIT
keystoneauth1>=2.18.0  # Apache-2.0
python-keystoneclient>=3.8.0  # Apache-2.0

=== debian/changelog ===
python-ceilometermiddleware (3.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 22:02:25 +0000

python-ceilometermiddleware (3.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:22:23 -0400

python-ceilometermiddleware (3.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 10:35:19 -0500

python-ceilometermiddleware (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 10:59:27 -0400

## python-ceilometermiddleware 3.3.1

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,5 @@
 oslo.utils>=4.7.0 # Apache-2.0
 pbr>=1.6 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
-six>=1.9.0 # MIT
 keystoneauth1>=2.18.0  # Apache-2.0
 python-keystoneclient>=3.8.0  # Apache-2.0

=== debian/changelog ===
python-ceilometermiddleware (3.3.1-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 11:07:33 +0000

python-ceilometermiddleware (3.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 14:16:11 +0000

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-betamax (>= 0.7.0),
 python3-coverage (>= 3.6),
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 0.1.1),
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 0.0.18),
 python3-testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ceilometermiddleware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ceilometermiddleware
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

## python-ceilometermiddleware 3.5.0

=== requirements.txt ===
oslo.config>=3.9.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
pycadf>=2.0.1 # Apache-2.0
keystoneauth1>=2.18.0  # Apache-2.0
python-keystoneclient>=3.8.0  # Apache-2.0

=== debian/changelog ===
python-ceilometermiddleware (3.5.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090473).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:38:59 +0100

python-ceilometermiddleware (3.5.0-3) unstable; urgency=medium

  * Removed rabbit-over-ssl.patch that prevents swift-proxy to start.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 10:04:36 +0200

python-ceilometermiddleware (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:18:44 +0200

python-ceilometermiddleware (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 13:10:11 +0200

python-ceilometermiddleware (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:54:42 +0200

python-ceilometermiddleware (3.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Clean-up egg-info on clean.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:32:44 +0100

python-ceilometermiddleware (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 11:46:27 +0200

python-ceilometermiddleware (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 14:05:08 +0200

python-ceilometermiddleware (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045493).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 14:07:28 +0200

## python-ceilometermiddleware 3.6.1

=== debian/changelog ===
python-ceilometermiddleware (3.6.1-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 07:12:42 +0000

python-ceilometermiddleware (3.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:10:45 +0100

python-ceilometermiddleware (3.6.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:33:26 +0100

## python-ceilometermiddleware 3.8.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 oslo.config>=3.9.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-ceilometermiddleware (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:18:49 +0200

python-ceilometermiddleware (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 14:11:35 +0200

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-betamax,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config,
 python3-oslo.context (>= 0.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf,
 python3-subunit,
 python3-swift,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware.git
Homepage: http://www.openstack.org/

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-oslo.config,
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr,
 python3-pycadf,
 python3-swift,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ceilometermiddleware refs/tags/(\d[brc\d\.]+)

## python-ceilometermiddleware 3.10.0

=== debian/changelog ===
python-ceilometermiddleware (3.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-coverage from build-depends.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 13:25:59 +0100

python-ceilometermiddleware (3.8.0-3) unstable; urgency=medium

  * Clean .pybuild folder (Closes: #1045493).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 00:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Build-Depends-Indep:
  python3-babel,
  python3-betamax,
- python3-coverage,
  python3-hacking,
  python3-keystoneauth1 (>= 2.18.0),
  python3-keystoneclient (>= 3.8.0),
